%define upstream_name	 BerkeleyDB
%define upstream_version 0.51

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl module for BerkeleyDB 2.x and greater
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/BerkeleyDB/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     BerkeleyDB-0.38-wformat.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: db-devel
BuildRequires: perl-devel

%description
BerkeleyDB is a module which allows Perl programs to make use of the
facilities provided by Berkeley DB version 2 or greater. (Note: if
you want to use version 1 of Berkeley DB with Perl you need the DB_File
module).

Berkeley DB is a C library which provides a consistent interface to a
number of database formats. BerkeleyDB provides an interface to all
four of the database types (hash, btree, queue and recno) currently
supported by Berkeley DB.

For further details see the documentation in the file BerkeleyDB.pod.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 Changes README
# ignore pod test failure
rm -f t/pod.t
%patch0 -p1 -b .wformat

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorarch}/*pl
%{perl_vendorarch}/BerkeleyDB*
%{perl_vendorarch}/auto/BerkeleyDB
%{_mandir}/*/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.510.0-4.mga3
+ Revision: 363362
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 31 2012 fwang <fwang> 0.510.0-3.mga3
+ Revision: 276381
- rebuild for db-5.3

* Fri Jul 27 2012 fwang <fwang> 0.510.0-2.mga3
+ Revision: 274840
- rebuild for db

* Tue Jun 05 2012 jquelin <jquelin> 0.510.0-1.mga3
+ Revision: 254578
- update to 0.51

* Wed May 30 2012 jquelin <jquelin> 0.500.0-2.mga3
+ Revision: 250285
- rebuild for perl 5.16

* Sun Dec 11 2011 kharec <kharec> 0.500.0-1.mga2
+ Revision: 180594
- update to 0.50

  + jquelin <jquelin>
    - update to 0.49

* Tue Jun 21 2011 jquelin <jquelin> 0.480.0-1.mga2
+ Revision: 111597
- update to 0.48

* Sat Jun 11 2011 sander85 <sander85> 0.430.0-3.mga2
+ Revision: 103545
- perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 0.430.0-2.mga1
+ Revision: 23288
- rebuild for perl 5.12

* Wed Jan 12 2011 jquelin <jquelin> 0.430.0-1.mga1
+ Revision: 7076
- imported package perl-BerkeleyDB

